TIR API
The TIR API covers the AI lifecycle: notebooks, foundation models, fine-tuning, model endpoints, pipelines, and data.
- Base URL
https://api.e2enetworks.com/myaccount/api/v1/gpu- Signing requests
- Your API key as the
apikeyquery parameter, and your token asAuthorization: Bearer. Create a key and token - Format
- JSON
Get an API key and token
Every request is signed with an API key and an auth token. In TIR, open Personal Access Tokens in the side menu and create a token. Each token has an API key and an auth token. Create a key and token
Your first request
curl "https://api.e2enetworks.com/myaccount/api/v1/gpu/serving/inference?apikey=<API_KEY>&project_id=<PROJECT_ID>&location=Delhi" \ -H "Authorization: Bearer <API_TOKEN>"Sections
345 operations, each with a Try It panel that sends the request from the page.
ComputeInstance/VM. 53 operations.
StorageDataset, SFS, PFS, Container Registry, Vector Database. 33 operations.
DatabasesDBaaS. 43 operations.
Models & InferenceModel Repository, Model Endpoints, Playground API, Model Evaluation, GenAI API, Fine Tune Models. 38 operations.
ClustersTraining Cluster, Private Cluster, Kubernetes. 32 operations.
NetworkLoad Balancer. 38 operations.
OtherPipeline, Run, Schedule Run, Reserve IP, Security Groups, Security, IAM Users, Plans & Pricing, SKU, Data Syncer, AI Labs, Alerts Management, External Integration, VM Snapshots. 108 operations.
Was this page helpful?